Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.comm
Class Request

    java.lang.Object
      |
      +--com.ibm.ulc.util.UlcObject
            |
            +--com.ibm.ulc.comm.Request

Direct Known Subclasses:
  CloseRequest, ExitWriterRequest, ORBRequest

public abstract class Request
extends UlcObject

Encapsulates a request. A request knows its target, method, and arguments.

See Also:
  `IRequestProcessor`, Serialized Form

Constructor Summary
`Request()`

Method Summary
`abstract void` | `dispatch()` Executes the request.
`void` | `dump(java.io.OutputStream os)` Dumps the contents of a request.
`int` | `getByteCount()` Gets the number of bytes a request will take up when streamed.
`java.lang.String` | `getName()` Gets the name of a request.
`boolean` | `read(java.io.InputStream is)` Reads the request from the given input stream.
`boolean` | `readEx(java.io.InputStream is)` Reads the request from the given input stream.
`void` | `write(java.io.OutputStream os)` Marshals and writes a request to the given output stream.
`void` | `writeEx(java.io.OutputStream os)` Marshals and writes a request to the given output stream.

Methods inherited from class com.ibm.ulc.util.UlcObject
`trouble, trouble2, trouble2Err, troubleErr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Request

    public Request()

Method Detail

### dispatch

    public abstract void dispatch()

  Executes the request.

### dump

    public void dump(java.io.OutputStream os)

  Dumps the contents of a request. For debugging purposes only.

### getByteCount

    public int getByteCount()

  Gets the number of bytes a request will take up when streamed. This is used for debugging and monitoring purposes only.

### getName

    public java.lang.String getName()

  Gets the name of a request. This is used for debugging purposes only.

### read

    public boolean read(java.io.InputStream is)

  Reads the request from the given input stream.
  Returns:
    true when a complete request could be read.

### readEx

    public boolean readEx(java.io.InputStream is)
                   throws java.io.IOException

  Reads the request from the given input stream.
  Returns:
    true when a complete request could be read

### write

    public void write(java.io.OutputStream os)

  Marshals and writes a request to the given output stream.

### writeEx

    public void writeEx(java.io.OutputStream os)
                 throws java.io.InterruptedIOException,
                        java.io.IOException

  Marshals and writes a request to the given output stream.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD